# Changelog

All notable changes to this project will be documented in this file.

# [4.0.2](https://github.com/imranbarbhuiya/pagination.djs/compare/v4.0.1...v4.0.2) - (2022-09-11)

## 🐛 Bug Fixes

- Add ephemeral in the payload ([8bd0a86](https://github.com/imranbarbhuiya/pagination.djs/commit/8bd0a8604d2ed11e01e21a611a58fa931dadd9db))

# [4.0.1](https://github.com/imranbarbhuiya/pagination.djs/compare/v4.0.0...v4.0.1) - (2022-07-19)

## 🐛 Bug Fixes

- Pass ephemeral while replying. fixes: #45 ([2f09892](https://github.com/imranbarbhuiya/pagination.djs/commit/2f098924cee69355c533bd9b430aabe387b28a99))

# [4.0.0](https://github.com/imranbarbhuiya/pagination.djs/compare/v3.6.1...v4.0.0) - (2022-07-18)

## 🚀 Features

- Djs/v14 support (#23) ([9d4ade4](https://github.com/imranbarbhuiya/pagination.djs/commit/9d4ade40afe0fd3753a2d36518c5bca651932eb5))
  - 💥 **BREAKING CHANGE:** dropped support for discord.js v13, v14 is required.
  - 💥 **BREAKING CHANGE:** Button style is changed from `string` to discord.js [ButtonStyle](https://discord-api-types.dev/api/discord-api-types-v10/enum/ButtonStyle) enum.
  - 💥 **BREAKING CHANGE:** When passing interaction to `Pagination`, It won't return `Message` in `render`, `reply` methods but it'll return `InteractionResponse<true> | Message<true>`
  - 💥 **BREAKING CHANGE:** Removed singular methods `add*`.
```diff
- pagination.addImage(imageLink)
+ pagination.addImages(imageLink)
```
      - applies to other `add*` methods too.
      - all the `add*s` and `set*s` methods accepts both rest and array.
  - 💥 **BREAKING CHANGE:** ExtraRowPosition is an enum now.

```diff
- pagination.addActionRow(new MessageActionRow(), 'above');
+ pagination.addActionRows([new ActionRowBuilder()], ExtraRowPosition.Above);
```

# [3.6.2](https://github.com/imranbarbhuiya/pagination.djs/compare/v3.6.1...v3.6.2) - (2022-07-19)

## 🐛 Bug Fixes

- Fix ephemeral reply for v3 ([de6b5b3](https://github.com/imranbarbhuiya/pagination.djs/commit/de6b5b3550f5cbc505f5122508288bd053a54a49))



# [3.6.0](https://github.com/imranbarbhuiya/pagination.djs/compare/v3.5.3...v3.6.0) - (2022-06-23)

## 🚀 Features

- Send index and array in setEmbeds ([5424e42](https://github.com/imranbarbhuiya/pagination.djs/commit/5424e424d5a131d15e352e7e8e6fbbb874d1b640))

# [3.5.3](https://github.com/imranbarbhuiya/pagination.djs/compare/v3.5.2...v3.5.3) - (2022-05-24)

## 🐛 Bug Fixes

- Bump djs and fix typings (#16) ([210303f](https://github.com/imranbarbhuiya/pagination.djs/commit/210303fe480cdff9816a6e1d9cba6326bec8ef0b))

# [3.6.0](https://github.com/imranbarbhuiya/pagination.djs/compare/v3.5.3...v3.6.0) - (2022-06-23)

## 🚀 Features

- Send index and array in setEmbeds ([5424e42](https://github.com/imranbarbhuiya/pagination.djs/commit/5424e424d5a131d15e352e7e8e6fbbb874d1b640))

# [3.5.3](https://github.com/imranbarbhuiya/pagination.djs/compare/v3.5.2...v3.5.3) - (2022-05-24)

## 🐛 Bug Fixes

- Bump djs and fix typings (#16) ([210303f](https://github.com/imranbarbhuiya/pagination.djs/commit/210303fe480cdff9816a6e1d9cba6326bec8ef0b))

# Changelog
All notable changes to this project will be documented in this file.

# [3.6.0]
(https://github.com/imranbarbhuiya/pagination.djs/tree/v3.6.0) - (2022-06-23)

## 🏠 Refactor

- Use filter instead ([99c396f](https://github.com/imranbarbhuiya/pagination.djs/commit/99c396f98a392353ca9d1a62b6289da0fc97d34b))
- **Pagination:** Split into 2 classes ([f1e8542](https://github.com/imranbarbhuiya/pagination.djs/commit/f1e854278e02198d8c1ceb0c0df9397ac27df962))
- Move types and classes to their own files ([e9213ca](https://github.com/imranbarbhuiya/pagination.djs/commit/e9213cad0a7f256011dd9141077e5050c189fdc2))

## 🐛 Bug Fixes

- Bump djs and fix typings (#16) ([210303f](https://github.com/imranbarbhuiya/pagination.djs/commit/210303fe480cdff9816a6e1d9cba6326bec8ef0b))
- Export collector ([e9758e2](https://github.com/imranbarbhuiya/pagination.djs/commit/e9758e2e97fc14c2fbf6acb8d6da598f7dbc7d64))
- Disable button on loop ([7e09c15](https://github.com/imranbarbhuiya/pagination.djs/commit/7e09c15d91c9644cdd2c814574e4b4c1772a4571))
- Disable ([3b6ac81](https://github.com/imranbarbhuiya/pagination.djs/commit/3b6ac81d3f9ade024a6890dbcb9309e9b971a248))
- Disable fix ([f61a8d1](https://github.com/imranbarbhuiya/pagination.djs/commit/f61a8d11c73bf6bd913499d20573b80d675c5689))
- Add docs ([a0a43ba](https://github.com/imranbarbhuiya/pagination.djs/commit/a0a43ba493810d18dee20d51fe3080b30eb3d54b))
- Add options fix ([e654f4b](https://github.com/imranbarbhuiya/pagination.djs/commit/e654f4ba523c170904e5083c31e9b9be6ed85459))
- Fix a bug with reassigning buttons ([0ca401e](https://github.com/imranbarbhuiya/pagination.djs/commit/0ca401e3c003e3a9114677dbf1e44dafa4c20746))
- Error ([384cf9d](https://github.com/imranbarbhuiya/pagination.djs/commit/384cf9da532df87bfaecc288d0baeb6044fe906d))
- Remove note ([6ee4341](https://github.com/imranbarbhuiya/pagination.djs/commit/6ee434100c9be25c046ac2b99b4174c2f568f811))
- Default fix ([201a388](https://github.com/imranbarbhuiya/pagination.djs/commit/201a388d286c988c3248b7d161800d7304c34097))
- Type fix ([f43f15e](https://github.com/imranbarbhuiya/pagination.djs/commit/f43f15ed08c729f8d50ea10d950eafae451f881e))
- Button customization changed ([62a5fe2](https://github.com/imranbarbhuiya/pagination.djs/commit/62a5fe2a962e0f92f6b495806c0d106da6a16fed))
- Fix content logic ([a37e57b](https://github.com/imranbarbhuiya/pagination.djs/commit/a37e57bcb7cf177cf2d7a392586c7b26aa881ba3))
- Ignore other components ([d52457f](https://github.com/imranbarbhuiya/pagination.djs/commit/d52457f2cbe88452610ccc43c43883b60244544b))
- Wrokflow ([4ceb5e1](https://github.com/imranbarbhuiya/pagination.djs/commit/4ceb5e152d356455da95aff686d9c47e36275625))
- Some validation added ([8cba2c2](https://github.com/imranbarbhuiya/pagination.djs/commit/8cba2c2fe71000fa3b260b5fed5a70a1e2d2750f))

   ### 💥 Breaking Changes:

- Prevdescription ([95e63a4](https://github.com/imranbarbhuiya/pagination.djs/commit/95e63a49f9248fa7fe550bfb1b13fcd89d048ad2))

## 📝 Documentation

- Add an example ([ccb7e2e](https://github.com/imranbarbhuiya/pagination.djs/commit/ccb7e2e7b1aafcd1a5e9248d4e3a8ee9d1662e5b))

## 🚀 Features

- Send index and array in setEmbeds ([5424e42](https://github.com/imranbarbhuiya/pagination.djs/commit/5424e424d5a131d15e352e7e8e6fbbb874d1b640))
- Allow setting buttons ([908aa44](https://github.com/imranbarbhuiya/pagination.djs/commit/908aa443cc84f74ecdcbf8696c6ffed2276d3fa8))
- Add embed template ([cf2c944](https://github.com/imranbarbhuiya/pagination.djs/commit/cf2c9446c380d763684ce977db557d6d1904495c))
- Allow embed templating ([4cd469e](https://github.com/imranbarbhuiya/pagination.djs/commit/4cd469e54beba2fe62f963e08215ef8e67fcf610))
- Add content in pagination ([6202890](https://github.com/imranbarbhuiya/pagination.djs/commit/6202890f771016d8667092fc910d3b91f0469aab))
- Sets a few methods as private or protected ([f372d87](https://github.com/imranbarbhuiya/pagination.djs/commit/f372d87725f2a1eece08f1b08fc66d1d2c45b750))

# [3.5.3]
(https://github.com/imranbarbhuiya/pagination.djs/tree/v3.5.3) - (2022-05-24)

## 🏠 Refactor

- Use filter instead ([99c396f](https://github.com/imranbarbhuiya/pagination.djs/commit/99c396f98a392353ca9d1a62b6289da0fc97d34b))
- **Pagination:** Split into 2 classes ([f1e8542](https://github.com/imranbarbhuiya/pagination.djs/commit/f1e854278e02198d8c1ceb0c0df9397ac27df962))
- Move types and classes to their own files ([e9213ca](https://github.com/imranbarbhuiya/pagination.djs/commit/e9213cad0a7f256011dd9141077e5050c189fdc2))

## 🐛 Bug Fixes

- Bump djs and fix typings (#16) ([210303f](https://github.com/imranbarbhuiya/pagination.djs/commit/210303fe480cdff9816a6e1d9cba6326bec8ef0b))
- Export collector ([e9758e2](https://github.com/imranbarbhuiya/pagination.djs/commit/e9758e2e97fc14c2fbf6acb8d6da598f7dbc7d64))
- Disable button on loop ([7e09c15](https://github.com/imranbarbhuiya/pagination.djs/commit/7e09c15d91c9644cdd2c814574e4b4c1772a4571))
- Disable ([3b6ac81](https://github.com/imranbarbhuiya/pagination.djs/commit/3b6ac81d3f9ade024a6890dbcb9309e9b971a248))
- Disable fix ([f61a8d1](https://github.com/imranbarbhuiya/pagination.djs/commit/f61a8d11c73bf6bd913499d20573b80d675c5689))
- Add docs ([a0a43ba](https://github.com/imranbarbhuiya/pagination.djs/commit/a0a43ba493810d18dee20d51fe3080b30eb3d54b))
- Add options fix ([e654f4b](https://github.com/imranbarbhuiya/pagination.djs/commit/e654f4ba523c170904e5083c31e9b9be6ed85459))
- Fix a bug with reassigning buttons ([0ca401e](https://github.com/imranbarbhuiya/pagination.djs/commit/0ca401e3c003e3a9114677dbf1e44dafa4c20746))
- Error ([384cf9d](https://github.com/imranbarbhuiya/pagination.djs/commit/384cf9da532df87bfaecc288d0baeb6044fe906d))
- Remove note ([6ee4341](https://github.com/imranbarbhuiya/pagination.djs/commit/6ee434100c9be25c046ac2b99b4174c2f568f811))
- Default fix ([201a388](https://github.com/imranbarbhuiya/pagination.djs/commit/201a388d286c988c3248b7d161800d7304c34097))
- Type fix ([f43f15e](https://github.com/imranbarbhuiya/pagination.djs/commit/f43f15ed08c729f8d50ea10d950eafae451f881e))
- Button customization changed ([62a5fe2](https://github.com/imranbarbhuiya/pagination.djs/commit/62a5fe2a962e0f92f6b495806c0d106da6a16fed))
- Fix content logic ([a37e57b](https://github.com/imranbarbhuiya/pagination.djs/commit/a37e57bcb7cf177cf2d7a392586c7b26aa881ba3))
- Ignore other components ([d52457f](https://github.com/imranbarbhuiya/pagination.djs/commit/d52457f2cbe88452610ccc43c43883b60244544b))
- Wrokflow ([4ceb5e1](https://github.com/imranbarbhuiya/pagination.djs/commit/4ceb5e152d356455da95aff686d9c47e36275625))
- Some validation added ([8cba2c2](https://github.com/imranbarbhuiya/pagination.djs/commit/8cba2c2fe71000fa3b260b5fed5a70a1e2d2750f))

   ### 💥 Breaking Changes:

- Prevdescription ([95e63a4](https://github.com/imranbarbhuiya/pagination.djs/commit/95e63a49f9248fa7fe550bfb1b13fcd89d048ad2))

## 📝 Documentation

- Add an example ([ccb7e2e](https://github.com/imranbarbhuiya/pagination.djs/commit/ccb7e2e7b1aafcd1a5e9248d4e3a8ee9d1662e5b))

## 🚀 Features

- Allow setting buttons ([908aa44](https://github.com/imranbarbhuiya/pagination.djs/commit/908aa443cc84f74ecdcbf8696c6ffed2276d3fa8))
- Add embed template ([cf2c944](https://github.com/imranbarbhuiya/pagination.djs/commit/cf2c9446c380d763684ce977db557d6d1904495c))
- Allow embed templating ([4cd469e](https://github.com/imranbarbhuiya/pagination.djs/commit/4cd469e54beba2fe62f963e08215ef8e67fcf610))
- Add content in pagination ([6202890](https://github.com/imranbarbhuiya/pagination.djs/commit/6202890f771016d8667092fc910d3b91f0469aab))
- Sets a few methods as private or protected ([f372d87](https://github.com/imranbarbhuiya/pagination.djs/commit/f372d87725f2a1eece08f1b08fc66d1d2c45b750))

